exmh (1:2.9.0-6) unstable; urgency=medium

  * applied Dale Carstensen's patch that fixes the html state/tag
    issue that appeared with tcl/tk 8.6.11+

 -- Alexander Zangerl <az@debian.org>  Mon, 19 Sep 2022 19:27:48 +1000

exmh (1:2.9.0-5) unstable; urgency=medium

  * adjusted dependencies (closes: #1010323)

 -- Alexander Zangerl <az@debian.org>  Sun, 01 May 2022 18:43:28 +1000

exmh (1:2.9.0-4) unstable; urgency=medium

  * code improvements in mime.tcl, save attachments now works again

 -- Alexander Zangerl <az@debian.org>  Sat, 12 Feb 2022 16:23:46 +1000

exmh (1:2.9.0-3) unstable; urgency=medium

  * minor amendments to reflect that brent welch isn't involved
    with exmh anymore (e.g. no more email registration option)

 -- Alexander Zangerl <az@debian.org>  Thu, 14 Oct 2021 20:29:31 +1000

exmh (1:2.9.0-2) unstable; urgency=medium

  * adjusted code to work with any package providing x-terminal-emulator,
    not just classic xterm itself

 -- Alexander Zangerl <az@debian.org>  Wed, 09 Oct 2019 18:41:57 +1000

exmh (1:2.9.0-1) unstable; urgency=medium

  * new upstream release
  * lifted standards version, updated watch file

 -- Alexander Zangerl <az@debian.org>  Wed, 14 Nov 2018 14:21:22 +1000

exmh (1:2.8.0-7) unstable; urgency=low

  * updated gpg code to use long keyids instead of
    truncating to the short 8-char format.
  * lifted standards version
  * suggest glimpse (now back in main)

 -- Alexander Zangerl <az@debian.org>  Fri, 24 Mar 2017 17:02:00 +1000

exmh (1:2.8.0-6) unstable; urgency=low

  * sound is now disabled by default (closes: #823026)
  * fixed build rules to ship the existing NEWS.debian
  * small adjustment in html display wrt font choice

 -- Alexander Zangerl <az@debian.org>  Sun, 01 May 2016 12:05:41 +1000

exmh (1:2.8.0-5) unstable; urgency=low

  * lifted standards version, updated build rules 
    for reproducible builds (closes: #776953)

 -- Alexander Zangerl <az@debian.org>  Thu, 05 Feb 2015 22:32:50 +1000

exmh (1:2.8.0-4) unstable; urgency=low

  * changed tcl/tk dependencies to unversioned metapackage (closes: #725688) 

 -- Alexander Zangerl <az@debian.org>  Tue, 08 Oct 2013 13:10:21 +1000

exmh (1:2.8.0-3) unstable; urgency=low

  * changed to quilt 3.0 source format (closes: #671642)
  * reviewed some ancient bug reports (closes: #342510)

 -- Alexander Zangerl <az@debian.org>  Mon, 16 Sep 2013 12:49:03 +1000

exmh (1:2.8.0-2) unstable; urgency=low

  * applied a few patches from upstream cvs for better
    compatibility with tcl/tk8.6.

 -- Alexander Zangerl <az@debian.org>  Wed, 11 Sep 2013 22:33:53 +1000

exmh (1:2.8.0-1) unstable; urgency=low

  * lifted standards version
  * removed some minor packaging gotchas, 
    removed long-dead metamail, expectk, pgp from dependencies
    cleaned the uploaders list (closes: #717062)

 -- Alexander Zangerl <az@debian.org>  Wed, 17 Jul 2013 20:39:26 +1000

exmh (1:2.8.0~rc1-2) unstable; urgency=low

  * fixed MDN content, now uses correct hostname
    also rfc-compliant when used with nmh 1.5++


 -- Alexander Zangerl <az@debian.org>  Mon, 21 May 2012 20:13:55 +1000

exmh (1:2.8.0~rc1-1) unstable; urgency=low

  * New upstream release (a "candidate release" which is nevertheless
    rock-solid and ready for daily use)
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Fri, 27 Apr 2012 18:52:17 +1000

exmh (1:2.7.2-24) unstable; urgency=low

  * made collection of audit log a configurable option
  * added fix for unsuitable gpg algorithm preferences
  * repaired date/time pattern that broke address db expiration

 -- Alexander Zangerl <az@debian.org>  Fri, 20 Jan 2012 19:23:39 +1000

exmh (1:2.7.2-23) unstable; urgency=low

  * reworked spell checking functionality and improved docs.
    main spell checking options are now all on the sedit preferences
    page. now provide better integration for i-spell module. 

 -- Alexander Zangerl <az@debian.org>  Sun, 24 Apr 2011 13:21:40 +1000

exmh (1:2.7.2-22) unstable; urgency=low

  * fix for tk8.5's troubles with not-quite-xlfd fontnames like 'fixed'
    tk now interprets this as a font face, not an xlfd shortcut, and
    you get messed up fonts (mainly way too large).
    the fix is to recreate "fixed" as a tk named font for tk 8.5++.
    
 -- Alexander Zangerl <az@debian.org>  Fri, 01 Apr 2011 01:06:59 +1000

exmh (1:2.7.2-21) unstable; urgency=low

  * applied patch for broken handling 
    of some rfc2369 list-* headers

 -- Alexander Zangerl <az@debian.org>  Thu, 02 Sep 2010 12:42:40 +1000

exmh (1:2.7.2-20) unstable; urgency=low

  * developed fix for incorrectly escaped "<" when editing
    text/enriched mails (closes: #175193)

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Aug 2010 18:18:55 +1000

exmh (1:2.7.2-19) unstable; urgency=low

  * pulled in some cvs fixes for cooperation with tcl 8.5 
  * lifted standards version
  * updated dependencies a little

 -- Alexander Zangerl <az@debian.org>  Sun, 29 Aug 2010 14:17:44 +1000

exmh (1:2.7.2-18) unstable; urgency=low

  * set hostname on non-bash shells (closes: #530077)

 -- Alexander Zangerl <az@debian.org>  Sun, 24 May 2009 13:20:55 +1000

exmh (1:2.7.2-17) unstable; urgency=low

  * gpg uses gpg.conf as configfile nowadays (was: options)
    exmh needs to look for the correct file (closes: #510834)
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Thu,  8 Jan 2009 12:02:37 +1000

exmh (1:2.7.2-16) unstable; urgency=low

  * reworked recode support.

 -- Alexander Zangerl <az@debian.org>  Wed, 18 Jun 2008 21:56:06 +1000

exmh (1:2.7.2-15) unstable; urgency=low

  * added option for better gpg-agent support

 -- Alexander Zangerl <az@debian.org>  Fri, 13 Jun 2008 19:48:09 +1000

exmh (1:2.7.2-14) unstable; urgency=low

  * applied patch for fd leakage from Marion Hakanson:
    using the internal mime qp/base64 decoder caused file descriptors
    to be leaked.
  * added recommendation for recode or metamail: the internal qp/base64 decoder
    is woefully slow; metamail's mimencode was the perfect, tiny tool and
    nothing else in debian is currently a/v to do this job :-(
    the exmh code was changed to prefer recode, fall back to mimencode
    or use the internal decoder as a final fallback.

 -- Alexander Zangerl <az@debian.org>  Sat, 31 May 2008 20:25:47 +1000

exmh (1:2.7.2-13) unstable; urgency=low

  * lifted the standards version, cleaned up control file
  * updated menu category, fixed some manpage warnings
  * minor fix to make links in inline-displayed html clickable,
    consolidated the status display for hovering over urls

 -- Alexander Zangerl <az@debian.org>  Thu, 28 Feb 2008 10:54:24 +1000

exmh (1:2.7.2-12) unstable; urgency=low

  * removed dependency on metamail. we're not losing anything,
    exmh has reasonable mailcap handling built-in anyway.

 -- Alexander Zangerl <az@debian.org>  Wed, 12 Dec 2007 11:45:50 +1000

exmh (1:2.7.2-11) unstable; urgency=low

  * fixed obnoxious scan cache corruption bug

 -- Alexander Zangerl <az@debian.org>  Sun,  1 Jul 2007 13:29:56 +1000

exmh (1:2.7.2-10) unstable; urgency=low

  * added watch file, updated standards version
  * updated menu location

 -- Alexander Zangerl <az@debian.org>  Tue, 10 Apr 2007 18:46:53 +1000

exmh (1:2.7.2-9) unstable; urgency=low

  * fixing problem with stdin/filepath option for the spam learner programs
     which was reintroduced with the last version.
  * lifted standards version

 -- Alexander Zangerl <az@debian.org>  Thu, 16 Nov 2006 12:28:53 +1000

exmh (1:2.7.2-8) unstable; urgency=low

  * pulled in latest CVS fixes 
  * added glimpse scope option to preferences
  
 -- Alexander Zangerl <az@debian.org>  Mon, 13 Nov 2006 14:25:50 +1000

exmh (1:2.7.2-7) unstable; urgency=low

  * lifted standards version
  * fixed problem with ham-learning programs that don't work 
    with messages on STDIN.
  * fixed cleanup of tclindex and tcl lib dir on package removal.

 -- Alexander Zangerl <az@debian.org>  Mon, 26 Sep 2005 17:41:57 +1000

exmh (1:2.7.2-6) unstable; urgency=low

  * some more manpage typo fixes.

 -- Alexander Zangerl <az@debian.org>  Thu,  9 Jun 2005 00:13:28 +1000

exmh (1:2.7.2-5) unstable; urgency=low

  * some manpage typo fixes. thanks to A Costa for spotting and for the 
    patch! (closes: #309891)

 -- Alexander Zangerl <az@debian.org>  Sun, 22 May 2005 09:53:41 +1000

exmh (1:2.7.2-4) unstable; urgency=low

  * added mailto: support to exmhcomp
  * adjusted welcoming text with path to install-mh
  * added stdin/filepath option for spam learner programs
  * applied upstream patch for background flist cache desynchronising

 -- Alexander Zangerl <az@debian.org>  Sat, 16 Apr 2005 21:15:44 +1000

exmh (1:2.7.2-3) unstable; urgency=low

  * Added info re sequences display to README.Debian (closes: #294019)
  * exmh needs xterm in a fair number of spots and not so uncommon 
    circumstances; I *think* that all x-terminal-emulator programs
    support -e and -title, but I'm not absolutely certain.
    Therefore added depends: xterm
    (This code review what triggered by #294062.)
  * changed audio playing command to run-mailcap for consistency.
  * fixed mime.tcl to properly handle dots in content-type (closes: #294212)

 -- Alexander Zangerl <az@debian.org>  Wed,  9 Feb 2005 23:30:57 +1000

exmh (1:2.7.2-2) unstable; urgency=high

  * fix a stupid blunder regarding the location of internal scripts
    (closes: #292467). high urgency because it breaks a lot and	
    sarge's freeze is coming closer and closer...

 -- Alexander Zangerl <az@debian.org>  Thu, 27 Jan 2005 18:27:42 +1000

exmh (1:2.7.2-1) unstable; urgency=low

  * packaged new upstream release (closes: Bug#290481)
  * 2.7.2 is the "Wohee, we have proper performance again!" release.
  * also added some patches from CVS fixing issues 
    that surfaced just after the release.
  * removed most debian-specific patches as incorporated upstream, yay!
  * updated Description to shut up lintian.

 -- Alexander Zangerl <az@debian.org>  Tue, 25 Jan 2005 23:48:29 +1000

exmh (1:2.7.0-4) unstable; urgency=low

  * finally fixed helpfile locations

 -- Alexander Zangerl <az@debian.org>  Sat,  4 Dec 2004 15:26:48 +1000

exmh (1:2.7.0-3) unstable; urgency=low

  * fixed help location for Intro
  * added homepage to description
  * fixed exmh-async path gotcha (closes: #270784)

 -- Alexander Zangerl <az@debian.org>  Sun, 12 Sep 2004 20:57:21 +1000

exmh (1:2.7.0-2) unstable; urgency=low

  * fixed suggestions (minus glimpse)
  * added patch for multiple keys with different passphrases (closes: #164210)
  * verified that new version doesn't crash on test message (closes: #63350)
  * verified that new version does do proper clearsigning (closes: #109165)
  * we are now lintian-clean (closes: #266712)
  * new version does include patch for ispell bug (closes: #201872)
  * tk8.4 support is present in new version (closes: #185539)
  * added patch for priming ldap options better (closes: #161724)
  * verified that new version does quoted-printable encode headers
    when quoted-printable preference is set (or sedit menu used) 
    (closes: 55141)
  * moved internally used scripts into /usr/share/exmh,
    exmh-strip and exmhcomp into doc/examples
  * updated README.Debian, set sensible default for faces display program

 -- Alexander Zangerl <az@debian.org>  Mon,  6 Sep 2004 18:02:31 +1000

exmh (1:2.7.0-1) unstable; urgency=low

  * set up co-maintainership, with anders' agreement
  * lifted standards version
  * updated copyright file
  * cleaned up dependencies (minus glimpse, plus mime-support, 
    plus quintuple-agent as suggestion)
  * build-depends on dpatch, moved patches to dpatch environment
  * new upstream version (closes: #187786)
  * new upstream does indeed work with tk8.4 (closes: #176642)
  * changed preinst script to clean up html left in libdir
  * removed prerm and updated postinst: /usr/doc migration is over.
  * updated some patches, cleaned old diffs that no longer apply
  * moved html helpfiles to /usr/share/doc/exmh/html
  * updated README.Debian
  * moved all bitmaps into /usr/share/exmh/bitmaps, adjusted code
  * fixed lintian warnings (except missing manpages)

 -- Alexander Zangerl <az@debian.org>  Fri,  3 Sep 2004 17:13:26 +1000

exmh (1:2.5-1.1) unstable; urgency=high

  * Non-maintainer upload
  * Exposes variables and commands made private in tk8.4 (closes: Bug #176642)
  * Corrects dependency on virtual package without alternative (closes
    no particular bug, but hartmans@debian.org mentioned it in Bug #176642)

 -- Chuck Hardin <chardin@naming-schemes.org>  Tue, 17 Aug 2004 14:57:33 -0500

exmh (1:2.5-1) unstable; urgency=low

  * New upstream version (closes: Bug#130704, Bug#102749)
  * Make exmh prefer nmh in dependencies (closes: Bug#118683)
  * Don't fail in prerm if /usr/doc symlink is missing (closes: Bug#86567)
  * Resurrect dpkg --assert-working-epoch in case the dpkg is ancient
    enough not to support pre-depends (closes: Bug#83015) (again)
  * Revert workaround for "icon stuck". This needs to be fixed in Tk as
    different windowmanagers handle "misbehaving" clients differently.
    (Tk upstream is aware, but since "nobody" uses icon windows...)
    (closes: Bug#85562)

 -- Anders Hammarquist <iko@debian.org>  Sat,  2 Mar 2002 12:50:57 +0100

exmh (1:2.3.1-1) unstable; urgency=high

  * New upstream version with security fixes (closes: Bug#83648, Bug#82899)
  * Some maintainer script cleanups. (closes: Bug#83014)
  * Changed dpkg --assert-working-epoch to a predependency on 
    dpkg >= 1.4.0.7, since that is approximately the same thing.
    (closes: Bug#83015)
  * Workaround for "icon stuck" bug. (closes: Bug#52386)
  * Added a check for untrusted keys with gpg (closes: Bug#81505)
  * Fixed recipients getting duplicated when gpg is called again in
    interactive mode.

 -- Anders Hammarquist <iko@iko.pp.se>  Sun,  4 Feb 2001 16:44:45 +0100

exmh (1:2.2-1) unstable; urgency=low

  * New upstream version. (closes: Bug#65995, Bug#58823)

 -- Anders Hammarquist <iko@debian.org>  Sun,  6 Aug 2000 00:33:13 +0200

exmh (1:2.1.1-1) unstable; urgency=low

  * New upstream version. (closes: Bug#41751)
  * "Only symlink" is now off by default (though existing saved
    preferences are not changed) (closes: Bug#24087)
  * PGP changes upstream closes: Bug#37255

 -- Anders Hammarquist <iko@debian.org>  Mon, 18 Oct 1999 23:24:11 +0200

exmh (1:2.0.2-7) unstable; urgency=low

  * Under some circumstances PGP/MIME would add a
    Content-Transfer-Encoding header with no value if the message was all
    7bit characters.

 -- Anders Hammarquist <iko@debian.org>  Wed, 24 Feb 1999 23:05:05 +0100

exmh (1:2.0.2-6) unstable; urgency=low

  * Make exmh useable with mh (fixes Bug#33227)

 -- Anders Hammarquist <iko@debian.org>  Fri, 12 Feb 1999 01:09:46 +0100

exmh (1:2.0.2-5) unstable; urgency=low

  * Added new pgp/gnupg patches.
  * Exmh now add Msg-Protect: 600 and Folder-Protect: 700 to the
    .mh_profiles it creates. (fixes Bug#30967)
  * Close Bug#6560 Autocommit now Autopacks (already fixed in 2.0.2-1)
  * Fixed a problem with running more than one exmh at the same time.

 -- Anders Hammarquist <iko@debian.org>  Mon, 25 Jan 1999 00:19:56 +0100

exmh (1:2.0.2-4) frozen unstable; urgency=low

  * Fixed copyright file (it had an older non-free licence).
  * Fixed recursive autoload with tcl > 8.0p2 due to new auto_mkindex.
    This caused exmh to hang in a loop allocating memory when viewing
    inline HTML. (fixes Bug#28421)
  * Upload to frozen as well as unstable.

 -- Anders Hammarquist <iko@debian.org>  Mon, 30 Nov 1998 18:30:15 +0100

exmh (1:2.0.2-3) unstable; urgency=low

  * New maintainer
  * Close Bug#18506 "*Application defaults* files should not be tagged as
    *conffile*" (already fixed in 2.0.2-1)
  * Close Bug#21923 "When used with nmh, exmh should invoke repl -group"
    (already fixed in 2.0.2-2)
  * Fixed spelling in description (fixes Bug#18894)
  * Fixed Content-Transfer-Encoding of PGP clearsigned messages. They are
    now properly marked (and signed as) Quoted-Printable as per RFC2015
    (fixes Bug#25563).
  * Changed mime-type guessing scheme (fixes Bug#28935)
  * Fixed regexps for handling broken OLE-generated PGP messages. Would
    hang exmh on some messages.
  * Close Bug#7092 "Exmh doesn't recognize all PGP encoded messages" since
    that appears to be fixed in the current version.

 -- Anders Hammarquist <iko@debian.org>  Sat, 28 Nov 1998 22:58:15 +0100

exmh (1:2.0.2-2) unstable; urgency=low

  * make exmh invoke repl -group if used with nmh
  * Apply David Luyer's patch to fix some of URI scanning bugs (those 
    that caused exmh to hang on some bugtraq posts)
  * Apply pgp5+gnupg support patch 
  * Apply a patch to fix date display
  * Apply a patch to fix glimpse feature check
  * Apply a patch to fix folder purging in the background 
  * Apply a patch to handle attaching files with spaces in them
  * Apply a patch to make sure unseen sequence bookkeping is 
    correct after a sort or a pack
  * Apply a patch to optionally add a (fwd) to the subject of 
    forwarded messages.
  
 -- Igor Grobman <igor@debian.org>  Sat, 29 Aug 1998 15:40:35 -0400

exmh (1:2.0.2-1) unstable; urgency=low

  * new upstream release 
  * make sure exmh knows about its version (set exmh(version) in /etc/exmh.conf)
  * app-defaults files are no longer conffiles (as per policy)

 -- Igor Grobman <igor@debian.org>  Tue,  3 Mar 1998 20:35:32 -0500

exmh (1:2.0-1) unstable; urgency=low

  * New upstream release

 -- Igor Grobman <igor@debian.org>  Wed, 24 Dec 1997 22:19:28 -0500

exmh (2.0zeta-3) unstable; urgency=low

  * argh! forgot to change the Maintainer: field in control file
   (hey, but it took me only 2 weeks to notice!)

 -- Igor Grobman <igor@debian.org>  Sun, 19 Oct 1997 21:22:13 -0400

exmh (2.0zeta-2) unstable; urgency=low
  
  * new maintainer
  * moved to unstable, since the package is beta rather than alpha code
  * added /usr/doc/exmh/html symlink 
  * changed dependencies to make exmh depend on tclsh and wish virtual packages
  
 -- Igor Grobman <igor@debian.org>  Thu, 2 Oct 1997 9:47:21 -0400

exmh (2.0zeta-1) experimental; urgency=low

  * Latest experimental release with patches.
  * Added menu support.

 -- Karl Sackett <krs@debian.org>  Mon, 28 Jul 1997 10:42:57 -0500

exmh (2.0delta-2) experimental; urgency=low

  * /etc/exmh.conf: call /usr/lib/mime/playaudio to play exmh's .au
    files.

 -- Karl Sackett <krs@debian.org>  Tue,  8 Jul 1997 09:18:20 -0500

exmh (2.0delta-1) experimental; urgency=low

  * Latest experimental release with patches.
  * debian/rules: build target edits correct path to wish in exmh-async
    and exmh-bg, edits path to expect in ftp-expect, edits exmh-bg to
    source /etc/exmh.conf.

 -- Karl Sackett <krs@debian.org>  Wed,  2 Jul 1997 09:10:11 -0500

exmh (2.0gamma-2) experimental; urgency=low

  * /etc/exmh.conf: added support for picon packages.
  * debian/README.debian: added Jim Pick's notes on picons.

 -- Karl Sackett <krs@debian.org>  Tue, 27 May 1997 10:05:11 -0500

exmh (2.0gamma-1) experimental; urgency=low

  * Experimental release.
  * Installed latest patches from exmh home site.

 -- Karl Sackett <krs@debian.org>  Sun, 4 May 1997 11:09:11 -5000

exmh (1.6.9-4) unstable; urgency=low

  * debian/exmh.conf: fixed version and maintainer info, added support
    for compface and xfaces (bug #5177).
  * exmh sources /etc/exmh.conf (bug #5177).
  * debian/debian.README: instructions for using threader.
  * debian/control: suggests compface and xfaces.
  * Changed Debian maintainer address.

 -- Karl Sackett <krs@debian.org>  Wed, 6 Nov 1996 10:05:11 -0600

exmh (1.6.9-3) unstable; urgency=low

  * debian/rules: conffiles installed correctly (Bug #5176).
  * lib/mime.tcl: patch to handling uuencoded attachments.
  * lib/seditMime.tcl: patch for MIME charset attributes.
  * lib/thread.tcl: replaced with latest version (Bug #4623).
  * lib/folder.tcl, ftoc.tcl, inc.tcl, scan.tcl: patched to use
    new thread.tcl.
  * add Ben Escoto's patch for PGP/MIME messages, with Lars
    Wirzenius' fix.

 -- Karl Sackett <krs@caos.aamu.edu>  Fri, 1 Nov 1996 13:15:24 -0600

exmh (1.6.9-2) unstable; urgency=low

  * debian/changelog: corrected distribution field

 -- Karl Sackett <krs@caos.aamu.edu>  Thu, 5 Sep 1996 14:45:12 -0500

exmh (1.6.9-1) mail; urgency=low

  * New upstream release.
  * debian/control: exmh can use either tcl74/tk40 or tcl75/tk41
    (Bug #3824).

 -- Karl Sackett <krs@caos.aamu.edu>  Wed, 4 Sep 1996 09:22:04 -0500

1.6.7-5
        * debian.postinst: updates exmh tclIndex (Bug #3585)
        * debian.control: exmh can use either tcl74/tk40 or tcl75/tk41
1.6.7-4
	* package requires tcl75 and tk41 (Bug #3858)
	* package architecture changed to 'all'
1.6.7-3
	* moved configuration information to /etc/exmh.conf (Bug #3779)
	* exmh: sources /etc/exmh.conf (Bug #3779)
	* corrected mh path (Bug #3779)
	* support files now architecture-independent
	* debian.control: added extended program description
1.6.7-2
	* debian.control: changed Depends to include tcl75 and tk41
1.6.7-1
	* Added Debian support files.
